:root {
  --lg: 1200px;
  --md: 992px;
  --sm: 768px;
  --xs: 576px;

  --lg-container-width: 1216px;
  --md-container-width: 960px;
  --sm-container-width: 720px;
  --xs-container-width: 540px;
}

.md-typeset h1 {
  margin: 0 0 0rem;
}

.md-typeset h6 {
  margin: 0.2rem 0;
}

/* Line on the topic selector */

.md-nav--integrated .md-nav__link[for="__toc"] ~ .md-nav {
  border-left-color: var(--main-yellow);
}

.md-nav__item .md-nav__link--active {
  color: var(--md-primary-bg-color);
}

/* Search bar */

.md-search__input::placeholder {
  color: #d3d3d3;
}

.md-search__input {
  background: var(--main-black);
}

/* Header shadow */

.md-header[data-md-state="shadow"] {
  box-shadow: 0 0 0.2rem rgba(0, 0, 0, 0), 0 0.2rem 0.4rem rgba(0, 0, 0, 0);
  transition: transform 0.25s cubic-bezier(0.1, 0.7, 0.1, 1), box-shadow 0.25s;
}

/* Header Spacing */

.md-header__button.md-logo img,
.md-header__button.md-logo svg {
  height: 2.5rem;
  width: 2.5rem;
}

/* Code line background color */
.highlighttable .linenos {
  background-color: var(--md-code-side-color);
  opacity: 1;
}

.highlighttable .linenodiv pre {
  color: var(--light-grey);
  text-align: right;
}

/* Table */

.documentation-table {
  border-collapse: collapse;
  width: 100%;
}

.documentation-table tr {
  border-top: 1px solid var(--grey);
  border-bottom: 1px solid var(--grey);
}

.documentation-table td {
  text-align: left;
  vertical-align: top;
  padding: 0.9375em 1.25em;
}

.documentation-table td,
th {
  font-size: 14px;
}

/* New documentation container*/

.documentation-grid-container {
  display: grid;
  grid-template-columns: auto auto;
  padding: 5px;
}

.documentation-grid-item {
  padding: 10px;
  border-top: 1px solid var(--grey);
  display: flex;
}

.documentation-grid-item-example {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  grid-column: span 2;
  padding: 0 18px;
}

.documentation-item-collapsible {
  cursor: pointer;
}

.class-complement {
  margin: 0.2rem 0;
  font-size: 0.8em;
  font-weight: 700;
  color: var(--md-default-fg-color--light);
}

.md-typeset code {
  background-color: var(--md-code-bg-color);
}

.md-nav__item .md-nav__link--active {
  color: var(--main-yellow);
}

.md-search__input {
  background: var(--search-input-color);
}

[data-md-color-scheme="slate"] {
  /* Header color */
  --md-primary-fg-color: #282725;
  /* Header text color */
  --md-primary-bg-color: #fcd902;
  /* Text hovered color */
  --md-accent-fg-color: #fcd902;
  /* Linked selected color */
  --md-typeset-a-color: #dbbf21;
  /* Page background color */
  --md-default-bg-color: #282725;
  /* Main text color */
  --md-default-fg-color: #ededed;

  --md-default-fg-color--light: #ffffff;

  --grey: #656565;
  --light-grey: #ededed;
  --dark-grey: #282725;
  --main-black: #000000;
  --md-code-bg-color: var(--main-black);
  --main-yellow: #fcd902;
  --md-code-side-color: #3c3b39;
}

[data-md-color-scheme="default"] {
  /* Header color */
  --md-primary-fg-color: #282725;
  /* Header text color */
  --md-primary-bg-color: #fcd902;
  /* Text hovered color */
  --md-accent-fg-color: #282725;
  /* Linked selected color */
  --md-typeset-a-color: #1867ff;
  /* Page background color */
  --md-default-bg-color: #ededed;
  /* Main text color */
  --md-default-fg-color: #282725;

  --md-default-fg-color--light: #282725;

  --grey: #656565;
  --light-grey: #ededed;
  --dark-grey: #282725;
  --main-black: #000000;
  --md-code-bg-color: #d3d3d3;
  --main-yellow: #1867ff;
  --md-code-side-color: #c8c8c8;
}
